summaryrefslogtreecommitdiffstats
path: root/debian/icingaweb2.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 12:39:40 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 12:39:40 +0000
commit92b71369d9c622791ec7758cb3ecfc256031e24d (patch)
tree45fb3f91bbfec5ecb364ceea5a2f4afe31ab57c1 /debian/icingaweb2.postrm
parentAdding upstream version 2.11.4. (diff)
downloadicingaweb2-92b71369d9c622791ec7758cb3ecfc256031e24d.tar.xz
icingaweb2-92b71369d9c622791ec7758cb3ecfc256031e24d.zip
Adding debian version 2.11.4-2+deb12u1.debian/2.11.4-2+deb12u1debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/icingaweb2.postrm19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/icingaweb2.postrm b/debian/icingaweb2.postrm
new file mode 100644
index 0000000..6ced15e
--- /dev/null
+++ b/debian/icingaweb2.postrm
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+set -e
+
+# Apache2
+if [ -e /usr/share/apache2/apache2-maintscript-helper ] ; then
+ echo "disabling Apache2 configuration ..."
+ . /usr/share/apache2/apache2-maintscript-helper
+ apache2_invoke disconf icingaweb2
+fi
+if [ -L /etc/apache2/conf.d/icingaweb2.conf ]; then
+ echo "removing link /etc/apache2/conf.d/icingaweb2.conf ..."
+ # remove link to config
+ rm -f /etc/apache2/conf.d/icingaweb2.conf
+ # reload webserver
+ [ -x $(which invoke-rc.d) ] && invoke-rc.d apache2 reload || true
+fi
+
+#DEBHELPER#